# Getting Started

To get started with Blits, follow these simple steps to set up your development environment and create your first Lightning 3 App.

## Installation

1. Open your terminal or command prompt.

2. Run the following command to start a new Blits Lightning 3 App project:

```bash
npx @lightningjs/blits@latest
```

 You will be guided through a short series of questions to generate a new project with all the boilerplate code you need to start building your own Lightning 3 App.

3. Navigate to the newly created project directory and install the project dependencies:

```bash
cd my_blits_app
npm install
```

## Running Your App

4. After installing the dependencies, you can start your development server by running:

```bash
npm run dev
```

This command will create an application bundle and launch a development server using Vite.

Once the server is up and running, open your web browser and navigate to the URL displayed in the console. Congratulations! You now have your brand new Blits Lightning 3 App up and running.

## Coding environment

You can use any code editor of your preference to further develop your Blits App.

We recommend using VS code, since we have a dedicated [VS code extension for Blits](https://marketplace.visualstudio.com/items?itemName=LightningJS.lightning-blits) that provides better syntax highlighting, code completion, error
checking, and other features to make working with Blits easier.

## Next steps

You are now ready to dive into the world of App development using Blits. In the following sections, we will explore the core concepts and guide you through building your TV applications step by step.
