# Characteristics


Lightning is a JavaScript TV App development platform that uses high-performance WebGL for rendering. It is full of smart optimizations to take most out of your target's GPU and CPU, and it contains all the necessary features that enable you to build TV Apps.

## High performance, great portability


Lightning is highly portable because it uses HTML5 standards. Apps developed with Lightning run on all major Smart TV platforms, Set Top Boxes (STBs) and all other devices that run a modern HTML5 browser.


Lightning performs excellent on WebOS and (modern) Tizen. It also approximates the performance of native Apps on Android.

## Overview


The following contains an overview of the characteristics that distinguish Lightning from other application platforms used for building TV Apps.

### General

* Portable technologies ('Build once, deploy anywhere')
* Excellent performance
* Very good user experience
* Efficient memory management, no memory leaks

### Key Features

* Render tree (WebGL or Canvas2d)
* Flexbox Layout Engine
* Animations toolkit
* Keypress-based input / focus handling
* Special effects, custom shaders

### Technical Highlights

* Component-based, to help you split up your App in a clean way
* Static templates offer great overview and fast spawning
* Patching allows convenient Virtual DOM-like patterns without the downsides
* State Oriented Programming enforces robustness in 	reactive components
* Signals and commands provide easy-to-use intercomponent communication

### Development Benefits

* Innovative, fast and high-quality code development principles
* Development and testing on your local browser
* Development time drastically cut down
* Easy to learn
* Easily bundle your App for Tizen, WebOS and Android