# What is Lightning?


Lightning is an open-source JavaScript development platform that uses WebGL for rendering. Neither HTML nor CSS is necessary, which results in high-performance, browser-based TV Apps.


Lightning enables you to create the smooth animations that you can only dream of when using HTML and CSS.


Lightning is full of smart optimizations to get the most out of your target's GPU and CPU. It contains many of the common features that you need when building TV Apps.

> See [Characteristics](Characteristics/index.md) and [Key Concepts](KeyConcepts/index.md) for more information on Lightning.

> See [Lightning vs HTML DOM](LightningVsDOM/index.md) for an overview of the differences between Lightning and HTML DOM-based platforms.


The *Lightning Ecosystem* consists of three components:

1. [Lightning Core](#lightning-core)
2. [Lightning SDK](#lightning-sdk)
3. [Lightning CLI](#lightning-cli)

## Lightning Core


The Lightning Core contains the Lightning Library and Render Engine which are responsible for high performance and great animations.

> See [Lightning Core Reference](/lightning-core-reference/index.md) for more information.

## Lightning SDK


The Lightning Software Development Kit (SDK) helps you build TV Apps with Lightning and deploy them on many platforms.


The Lightning SDK contains Lightning (Core) and several useful [plugins](/lightning-sdk-reference/index.md) for App development, such as [VideoPlayer](/lightning-sdk-reference/Plugins/videoplayer.md), [Image](/lightning-sdk-reference/Plugins/image.md) and [Utility](/lightning-sdk-reference/Plugins/utils.md) helpers.

> The use of the Lightning SDK is *strongly recommended*. See [Lightning SDK Reference](/lightning-sdk-reference/index.md) for more information.

## Lightning CLI


The Lightning Command Line Interface (CLI)  enables you to easily create and build Lightning Apps.
It's also the standard way to upload Lightning Apps to the Metrological Application Platform.


The Lightning CLI provides a seamless Lightning App development flow.
Although primarily intended as a client-side developer tool, the Lightning CLI can also be used on the server side.


The Lightning SDK and Lightning CLI go hand in hand.

> See [Lightning CLI Reference](/lightning-cli-reference/index.md) for more information.
